<template>
  <div>

    <br/>


    <div class="col-md-8">

      <div v-if="inspections.toString().length > 3">
        <h3>Przeglądy: </h3>

        <br/>

        <button class="btn btn-primary mr-1" v-on:click="addInspection()">Dodaj przegląd</button>
        <br/>

        <hr>

        <div class="row" v-for="inspection in inspections" v-bind:key="inspection.id">

          <div class="col-sm-3">
            <h6 class="mb-0">Data: </h6>
          </div>
          <div class="col-sm-9 text-secondary">
            {{ inspection.inspectionDate }}
          </div>
          <hr>

          <div class="col-sm-3">
            <h6 class="mb-0">Karmiony?</h6>
          </div>
          <div v-if="inspection.feeding" class="col-sm-9 text-secondary">Tak</div>
          <div v-if="!inspection.feeding" class="col-sm-9 text-secondary">Nie</div>
          <hr>

          <div class="col-sm-3">
            <h6 class="mb-0">Królowa?</h6>
          </div>
          <div v-if="inspection.queen" class="col-sm-9 text-secondary">Była</div>
          <div v-if="!inspection.queen" class="col-sm-9 text-secondary">Nie znaleziono</div>
          <hr>

          <div class="col-sm-3">
            <h6 class="mb-0">Leczony?</h6>
          </div>
          <div v-if="inspection.treatment" class="col-sm-9 text-secondary">Tak</div>
          <div v-if="!inspection.treatment" class="col-sm-9 text-secondary">Nie</div>
          <hr>

          <div class="col-sm-3">
            <h6 class="mb-0">Notatki: </h6>
          </div>
          <div class="col-sm-9 text-secondary">
            {{ inspection.notes }}
          </div>
          <hr>

          <button class="btn btn-secondary mr-1" v-on:click="editInspection(inspection.id)">Edytuj
            przegląd
          </button>
          <button class="btn btn-danger mr-1" v-on:click="deleteInspection(inspection.id)">Usuń
            przegląd
          </button>

          <hr>

        </div>
      </div>
    </div>


  </div>
</template>

<script>
import InspectionService from "@/services/inspection.service";

export default {
  name: "Inspections",
  data() {
    return {
      inspections: ''
    }
  },
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },

  mounted() {

    if (this.$route.query.beehiveId) {
      InspectionService.getInspectionsByBeehiveId(this.$route.query.beehiveId).then(
          response => {
            this.inspections = response.data;
          },
          error => {
            this.inspections =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );

    }

  },
  methods: {

    editInspection(inspectionId) {
      this.$router.push('/editinspection?inspectionId=' + inspectionId + '&beehiveId=' + this.$route.query.beehiveId);
    },

    addInspection() {
      this.$router.push('/addinspection?beehiveId=' + this.$route.query.beehiveId);
    },

    deleteInspection(inspectionId) {

      if (confirm("Jesteś pewny?")) {
        InspectionService.deleteSpecificInspection(inspectionId).then(
            response => {
              this.inspections = response.data;
              alert('Usunięcie przeglądu przebiegło pomyślnie')
              // this.$router.push('/beehive?beehiveid=' + beehiveId)
              // eslint-disable-next-line no-unused-vars
              this.$router.push('/beehive?beehiveid=' + this.$route.query.beehiveId).catch(err => {
              });
            },
            error => {
              this.inspections =
                  (error.response && error.response.data && error.response.data.message) ||
                  error.message ||
                  error.toString();
            }
        );
      }
    },
  }

}
</script>

<style scoped>

</style>